apiVersion: v1
kind: Namespace
metadata:
  labels:
    app: hello-world
    environment: production
  name: world-greetings-env-1-38435687-production
---
apiVersion: v1
kind: ServiceAccount
metadata:
  labels:
    app: hello-world
    environment: production
  name: hello-world
  namespace: world-greetings-env-1-38435687-production
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: hello-world
    environment: production
  name: hello-world
  namespace: world-greetings-env-1-38435687-production
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 5000
  selector:
    app: hello-world
    environment: production
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: hello-world
    environment: production
  name: hello-world
  namespace: world-greetings-env-1-38435687-production
spec:
  selector:
    matchLabels:
      app: hello-world
      environment: production
  template:
    metadata:
      labels:
        app: hello-world
        environment: production
    spec:
      containers:
      - image: registry.gitlab.com/jvummaclassgroup/j_vumma/jvumma/hello-world/main:0.0.2
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 10
          httpGet:
            path: /
            port: 5000
          initialDelaySeconds: 5
          periodSeconds: 10
          successThreshold: 1
        name: hello-world
        ports:
        - containerPort: 5000
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          privileged: false
          readOnlyRootFilesystem: true
      imagePullSecrets:
      - name: gitlab-credentials
      securityContext: {}
      serviceAccountName: hello-world
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/certificate-name: hello-world-production-tls
    cert-manager.io/issuer: letsencrypt-prod
    cert-manager.io/issuer-kind: ClusterIssuer
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
  labels:
    app: hello-world
    environment: production
  name: world-greetings-env-1-38435687-production
  namespace: world-greetings-env-1-38435687-production
spec:
  rules:
  - host: world-greetings-env-1-38435687-production.
    http:
      paths:
      - backend:
          serviceName: hello-world
          servicePort: 80
        path: /
  tls:
  - hosts:
    - world-greetings-env-1-38435687-production.
    secretName: hello-world-production-tls
